<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DVConstraint (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DVConstraint (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DVConstraint.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/DVConstraint.html" target="_top">Frames</a>
        </li>
        <li><a href="DVConstraint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class DVConstraint" class="title">Class DVConstraint</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.DVConstraint</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                           title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DVConstraint</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
              title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></pre>
                <div class="block">Data Validation Constraint</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.usermodel.DataValidationConstraint">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                        title="class in org.apache.poi.ss.usermodel">DataValidationConstraint.OperatorType</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html"
                                       title="class in org.apache.poi.ss.usermodel">DataValidationConstraint.ValidationType</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#createCustomFormulaConstraint-java.lang.String-">createCustomFormulaConstraint</a></span>(java.lang.String&nbsp;formula)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">createDateConstraint</a></span>(int&nbsp;comparisonOperator,
                                    java.lang.String&nbsp;expr1,
                                    java.lang.String&nbsp;expr2,
                                    java.lang.String&nbsp;dateFormat)</code>
                                    <div class="block">Creates a date based data validation constraint.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#createExplicitListConstraint-java.lang.String:A-">createExplicitListConstraint</a></span>(java.lang.String[]&nbsp;explicitListValues)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#createFormulaListConstraint-java.lang.String-">createFormulaListConstraint</a></span>(java.lang.String&nbsp;listFormula)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#createNumericConstraint-int-int-java.lang.String-java.lang.String-">createNumericConstraint</a></span>(int&nbsp;validationType,
                                    int&nbsp;comparisonOperator,
                                    java.lang.String&nbsp;expr1,
                                    java.lang.String&nbsp;expr2)</code>
                                    <div class="block">Creates a number based data validation constraint.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#createTimeConstraint-int-java.lang.String-java.lang.String-">createTimeConstraint</a></span>(int&nbsp;comparisonOperator,
                                    java.lang.String&nbsp;expr1,
                                    java.lang.String&nbsp;expr2)</code>
                                    <div class="block">Creates a time based data validation constraint.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#getExplicitListValues--">getExplicitListValues</a></span>()</code>
                                    <div class="block">If validation type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#LIST"><code>DataValidationConstraint.ValidationType.LIST</code></a>
                                        and <code>formula1</code> was comma-separated literal values rather than a range
                                        or named range,
                                        returns list of literal values.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#getFormula1--">getFormula1</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#getFormula2--">getFormula2</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#getOperator--">getOperator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#getValidationType--">getValidationType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#getValue1--">getValue1</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#getValue2--">getValue2</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#isExplicitList--">isExplicitList</a></span>()</code>
                                    <div class="block">Convenience method</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#isListValidationType--">isListValidationType</a></span>()</code>
                                    <div class="block">Convenience method</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#setExplicitListValues-java.lang.String:A-">setExplicitListValues</a></span>(java.lang.String[]&nbsp;explicitListValues)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#setFormula1-java.lang.String-">setFormula1</a></span>(java.lang.String&nbsp;formula1)</code>
                                    <div class="block">Sets a formula for expression 1.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#setFormula2-java.lang.String-">setFormula2</a></span>(java.lang.String&nbsp;formula2)</code>
                                    <div class="block">Sets a formula for expression 2.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#setOperator-int-">setOperator</a></span>(int&nbsp;operator)</code>
                                    <div class="block">Sets the comparison operator for this constraint</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#setValue1-double-">setValue1</a></span>(double&nbsp;value1)</code>
                                    <div class="block">Sets a numeric value for expression 1.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html#setValue2-double-">setValue2</a></span>(double&nbsp;value2)</code>
                                    <div class="block">Sets a numeric value for expression 2.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createNumericConstraint-int-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createNumericConstraint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a>&nbsp;createNumericConstraint(int&nbsp;validationType,
                                                   int&nbsp;comparisonOperator,
                                                   java.lang.String&nbsp;expr1,
                                                   java.lang.String&nbsp;expr2)</pre>
                                <div class="block">Creates a number based data validation constraint. The text values
                                    entered for expr1 and expr2
                                    can be either standard Excel formulas or formatted number values. If the expression
                                    starts
                                    with '=' it is parsed as a formula, otherwise it is parsed as a formatted number.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>validationType</code> - one of <a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#ANY"><code>DataValidationConstraint.ValidationType.ANY</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#DECIMAL"><code>DataValidationConstraint.ValidationType.DECIMAL</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#INTEGER"><code>DataValidationConstraint.ValidationType.INTEGER</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#TEXT_LENGTH"><code>DataValidationConstraint.ValidationType.TEXT_LENGTH</code></a>
                                    </dd>
                                    <dd><code>comparisonOperator</code> - any constant from <a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                            title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.OperatorType</code></a>
                                        enum
                                    </dd>
                                    <dd><code>expr1</code> - date formula (when first char is '=') or formatted number
                                        value
                                    </dd>
                                    <dd><code>expr2</code> - date formula (when first char is '=') or formatted number
                                        value
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createFormulaListConstraint-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFormulaListConstraint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a>&nbsp;createFormulaListConstraint(java.lang.String&nbsp;listFormula)</pre>
                            </li>
                        </ul>
                        <a name="createExplicitListConstraint-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExplicitListConstraint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a>&nbsp;createExplicitListConstraint(java.lang.String[]&nbsp;explicitListValues)</pre>
                            </li>
                        </ul>
                        <a name="createTimeConstraint-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTimeConstraint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a>&nbsp;createTimeConstraint(int&nbsp;comparisonOperator,
                                                java.lang.String&nbsp;expr1,
                                                java.lang.String&nbsp;expr2)</pre>
                                <div class="block">Creates a time based data validation constraint. The text values
                                    entered for expr1 and expr2
                                    can be either standard Excel formulas or formatted time values. If the expression
                                    starts
                                    with '=' it is parsed as a formula, otherwise it is parsed as a formatted time. To
                                    parse
                                    formatted times, two formats are supported: "HH:MM" or "HH:MM:SS". This is contrary
                                    to
                                    Excel which uses the default time format from the OS.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>comparisonOperator</code> - constant from <a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                            title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.OperatorType</code></a>
                                        enum
                                    </dd>
                                    <dd><code>expr1</code> - date formula (when first char is '=') or formatted time
                                        value
                                    </dd>
                                    <dd><code>expr2</code> - date formula (when first char is '=') or formatted time
                                        value
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDateConstraint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a>&nbsp;createDateConstraint(int&nbsp;comparisonOperator,
                                                java.lang.String&nbsp;expr1,
                                                java.lang.String&nbsp;expr2,
                                                java.lang.String&nbsp;dateFormat)</pre>
                                <div class="block">Creates a date based data validation constraint. The text values
                                    entered for expr1 and expr2
                                    can be either standard Excel formulas or formatted date values. If the expression
                                    starts
                                    with '=' it is parsed as a formula, otherwise it is parsed as a formatted date
                                    (Excel uses
                                    the same convention). To parse formatted dates, a date format needs to be specified.
                                    This
                                    is contrary to Excel which uses the default short date format from the OS.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>comparisonOperator</code> - constant from <a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                            title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.OperatorType</code></a>
                                        enum
                                    </dd>
                                    <dd><code>expr1</code> - date formula (when first char is '=') or formatted date
                                        value
                                    </dd>
                                    <dd><code>expr2</code> - date formula (when first char is '=') or formatted date
                                        value
                                    </dd>
                                    <dd><code>dateFormat</code> - ignored if both expr1 and expr2 are formulas. Default
                                        value is "YYYY/MM/DD"
                                        otherwise any other valid argument for <tt>SimpleDateFormat</tt> can be used
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href='http://java.sun.com/j2se/1.5.0/docs/api/java/text/DateFormat.html'>SimpleDateFormat</a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCustomFormulaConstraint-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCustomFormulaConstraint</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                        title="class in org.apache.poi.hssf.usermodel">DVConstraint</a>&nbsp;createCustomFormulaConstraint(java.lang.String&nbsp;formula)</pre>
                            </li>
                        </ul>
                        <a name="getValidationType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValidationType</h4>
                                <pre>public&nbsp;int&nbsp;getValidationType()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getValidationType--">getValidationType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>data validation type of this constraint</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.ValidationType</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isListValidationType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isListValidationType</h4>
                                <pre>public&nbsp;boolean&nbsp;isListValidationType()</pre>
                                <div class="block">Convenience method</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if this constraint is a 'list' validation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isExplicitList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isExplicitList</h4>
                                <pre>public&nbsp;boolean&nbsp;isExplicitList()</pre>
                                <div class="block">Convenience method</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if this constraint is a 'list' validation with explicit values
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOperator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOperator</h4>
                                <pre>public&nbsp;int&nbsp;getOperator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getOperator--">getOperator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the operator used for this constraint</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.OperatorType</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOperator-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOperator</h4>
                                <pre>public&nbsp;void&nbsp;setOperator(int&nbsp;operator)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setOperator-int-">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">Sets the comparison operator for this constraint</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setOperator-int-">setOperator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                                           title="class in org.apache.poi.ss.usermodel"><code>DataValidationConstraint.OperatorType</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExplicitListValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExplicitListValues</h4>
                                <pre>public&nbsp;java.lang.String[]&nbsp;getExplicitListValues()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getExplicitListValues--">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">If validation type is <a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html#LIST"><code>DataValidationConstraint.ValidationType.LIST</code></a>
                                    and <code>formula1</code> was comma-separated literal values rather than a range or
                                    named range,
                                    returns list of literal values.
                                    Otherwise returns <code>null</code>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getExplicitListValues--">getExplicitListValues</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setExplicitListValues-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setExplicitListValues</h4>
                                <pre>public&nbsp;void&nbsp;setExplicitListValues(java.lang.String[]&nbsp;explicitListValues)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setExplicitListValues-java.lang.String:A-">setExplicitListValues</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula1</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula1()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getFormula1--">getFormula1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the formula for expression 1. May be <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormula1-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormula1</h4>
                                <pre>public&nbsp;void&nbsp;setFormula1(java.lang.String&nbsp;formula1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula1-java.lang.String-">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">Sets a formula for expression 1.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula1-java.lang.String-">setFormula1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormula2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula2</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula2()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#getFormula2--">getFormula2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the formula for expression 2. May be <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormula2-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormula2</h4>
                                <pre>public&nbsp;void&nbsp;setFormula2(java.lang.String&nbsp;formula2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula2-java.lang.String-">DataValidationConstraint</a></code></span>
                                </div>
                                <div class="block">Sets a formula for expression 2.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html#setFormula2-java.lang.String-">setFormula2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValue1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue1</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getValue1()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the numeric value for expression 1. May be <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setValue1-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValue1</h4>
                                <pre>public&nbsp;void&nbsp;setValue1(double&nbsp;value1)</pre>
                                <div class="block">Sets a numeric value for expression 1.</div>
                            </li>
                        </ul>
                        <a name="getValue2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue2</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getValue2()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the numeric value for expression 2. May be <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setValue2-double-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setValue2</h4>
                                <pre>public&nbsp;void&nbsp;setValue2(double&nbsp;value2)</pre>
                                <div class="block">Sets a numeric value for expression 2.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DVConstraint.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/DVConstraint.html" target="_top">Frames</a>
        </li>
        <li><a href="DVConstraint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
